<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/primodaltemplate.xhtml">
		<ui:define name="title">
			<h:outputText value="#{facesContext.translate('label.instruction.cohort.define.study')}" />
		</ui:define>
		<ui:define name="body">
			<p:panelGrid columns="2">
				<h:outputText value="#{facesContext.translate('label.study.parent')}" />
        <p:selectOneMenu id="parent_id" value="#{cohortModel.study.parentId}" filter="true" filterMatchMode="startsWith" required="#{!cohortController.cancelling}"
          valueChangeListener="#{cohortModel.updateLocales}" requiredMessage="#{facesContext.translate('error.mustnotbeempty', 'label.study.parent')}">
          <f:selectItem itemValue="" itemLabel="#{facesContext.translate('button.choose')}" />
          <f:selectItems value="#{cohortModel.studygroups}" var="p" itemValue="#{p.pk}" itemLabel="#{p.name}" />
          <p:ajax update="@form" onstart="ship.processing(10000)" oncomplete="ship.processed()" />
        </p:selectOneMenu>
        <h:outputText value="#{facesContext.translate('label.study.name')}" />
				<p:inputText id="name" value="#{cohortModel.study.name}" required="true" requiredMessage="#{facesContext.translate('error.mustnotbeempty', 'label.study.name')}">
					<f:validator validatorId="square.modules.model.cohort.StudyNameValidator" />
					<p:ajax update="@form" onstart="ship.processing(10000)" oncomplete="ship.processed()" />
				</p:inputText>
				<h:outputText value="#{facesContext.translate('label.study.description')}" />
				<ship:inputJson id="description" value="#{cohortModel.study.translationJson}" type="translation" typerestriction="#{cohortModel.study.localesJson}" labelall="#{facesContext.translate('label.display.all.translations')}" required="true" requiredMessage="#{facesContext.translate('error.mustnotbeempty', 'label.study.description')}" />
				<h:outputText value="#{facesContext.translate('label.study.startdate')}" />
				<p:datePicker id="startdt" value="#{cohortModel.study.startDate}" showTime="false" pattern="dd.MM.yyyy" />
				<h:outputText value="#{facesContext.translate('label.study.designfeature')}" />
				<p:datePicker id="designfeature" value="#{cohortModel.study.designfeature}" showTime="false" pattern="dd.MM.yyyy" />
				<h:outputText value="#{facesContext.translate('label.study.participants')}" />
				<p:inputNumber id="participants" value="#{cohortModel.study.participants}" decimalPlaces="0" />
				<h:outputText value="#{facesContext.translate('label.study.uniquename')}" />
				<ui:fragment>
					<div class="ui-inputgroup">
						<p:inputText id="uniquename" value="#{cohortModel.study.uniqueName}" required="true" requiredMessage="#{facesContext.translate('error.mustnotbeempty', 'label.study.uniquename')}" />
						<p:button icon="fa fa-exclamation-triangle" onclick="alert('#{facesContext.translate('info.hint.study.uniquename')}');return" />
					</div>
				</ui:fragment>
			</p:panelGrid>
		</ui:define>
		<ui:define name="formbuttons">
			<p:commandButton id="btn_add" action="#{cohortController.doAddStudy}" value="#{facesContext.translate('button.approve')}" />
			<p:commandButton id="btn_cancel" action="#{cohortController.toWelcome}" value="#{facesContext.translate('button.cancel')}" immediate="true" />
		</ui:define>
		<ui:define name="help_de">
			Geben Sie hier bitte alle Informationen zu der neuen Studie an. <br /><br />

<b>Studiengruppe:</b> Die Studie muss einer der existierenden Studiengruppen zugewiesen werden.<br />
<b>Studienname:</b> Hier muss der Name der neuen Studie definiert werden.<br />
<b>Beschreibung:</b> Die Studie muss eine kurze Beschreibung erhalten.<br />
<b>Studienstart:</b> Das Datum der Untersuchung des ersten Probanden ist optional.<br />
<b>Studienende:</b> Das Datum der Untersuchung des letzten Probanden ist ebenfalls optional. Bei laufender Studie erfolgt kein Eintrag.<br />
<b>Anzahl Probanden in einer Studie:</b> Die Gesamtzahl der Probanden der Studie ist optional hier einzutragen. Sollte sie, etwa bei laufender Studie, nicht verfügbar sein, erfolgt kein Eintrag. <br />
<b>Unique name:</b> Der Unique-Name ist ein Kürzel, das für alle weiteren Elemente unterhalb dieser Studie verwendet wird. Wählen Sie daher bitte eine kurze Kombination aus Buchstaben und Zahlen, z.B. s1 für SHIP-1 oder t0 für Trend-0. Kleinbuchstaben sind zu bevorzugen. Der Unique-Name kann im Nachhinein nicht mehr geändert werden.
		</ui:define>
		<ui:define name="help_en">
			Please provide all the information about the new study.<br /><br />

<b>study group:</b> The study needs to be part of an existing study group.<br />
<b>study name:</b> Here the name of the study should be defined.<br />
<b>description:</b> The new study needs a brief description.<br />
<b>start of study:</b> The date of the examination of the first test person is optional.<br />
<b>end of study:</b> The date of the examination of the last test person is optional, too. In ongoing studies there's no need to define an end date.<br />
<b>number of participants in the study:</b> The information about the total number of participants is optional. If not available, e.g. in ongoing studies, no entry is required.<br />
<b>unique-name:</b> The unique name is a combination used for all the elements at lower hirarchial levels. Therefore please choose a short mix of letters and numbers, e.g. s1 for SHIP-1 or t0 for Trend-0. Lowercases are preferred. The unique name cannot be changed afterwards.
		</ui:define>
	</ui:composition>
</h:body>
</html>